Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.CORBA.dii
Class ContextList

    java.lang.Object
      |
      +--org.omg.CORBA.ContextList
            |
            +--org.openorb.CORBA.dii.ContextList

public class ContextList
extends ContextList

This class implements the OMG class : ContextList.

Version:
  $Revision: 1.5 $ $Date: 2002/07/15 14:53:41 $
Author:
  Jerome Daniel
See Also:
  `Context`

Constructor Summary
`ContextList()` Constructor

Method Summary
`void` | `add(java.lang.String ctx)` Add a context into the m_list
`int` | `count()` Return number of contexts into the m_list
`java.lang.String` | `item(int index)` Return an item
`void` | `remove(int index)` Remove an item

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextList

    public ContextList()

  Constructor

Method Detail

### count

    public int count()

  Return number of contexts into the m_list
  Overrides:
    `count` in class `ContextList`

### add

    public void add(java.lang.String ctx)

  Add a context into the m_list
  Overrides:
    `add` in class `ContextList`

### item

    public java.lang.String item(int index)
                          throws Bounds

  Return an item
  Overrides:
    `item` in class `ContextList`

### remove

    public void remove(int index)
                throws Bounds

  Remove an item
  Overrides:
    `remove` in class `ContextList`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD